Bug 817641 - Document how to use Redhat rubygems with letters in version string
Document how to use Redhat rubygems with letters in version string
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TorqueBox (Show other bugs)
2.0.0.ER5
Unspecified Unspecified
high Severity high
: ---
: 2.0.0.GA
Assigned To: Isaac Rooskov
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 13:58 EDT by Marek Novotny
Modified: 2015-08-06 01:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 07:55:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Novotny 2012-04-30 13:58:21 EDT
Description of problem:
Document how to use Redhat rubygems artifacts which are need to use letters in version string to differentiate with regarding to community releases.

we will use community version as the basement
and redhat as string qualifier and build number for easy recognition for repeated builds.

example result: 2.0.1.redhat.1
Comment 1 Bob McWhirter 2012-04-30 14:24:43 EDT
Assuming that the user has an exploded local copy of our torquebox-rubygems-repo.zip, or an internally-hosted repository (akin to internal hosting of the WFK maven repo), the user who installs gems manually can use a command involving the --pre flag with a generic name

  gem install --pre torquebox-messaging

I think it may also be possible (needs verification) to skip the --pre flag and specify just a distinct -v for version

  gem install torquebox-messaging -v 2.0.2.redhat.1

Without these steps, assuming the user includes RubyGems.org (akin to Maven central), the community versions will be grabbed, as RubyGems.org hosts them, and they are considered non-pre.

For users using Gemfiles, they can add the appropriate source URL, and version specifier.  The "spermy" operator may be used to selectively grab the latest 2.0.2.redhat.WHATEVER version.

# Source to user-hosted repository
source 'http://internal-rubygems-repo.mycorp.com"

# Regular RubyGems.org central repository
source :rubygems

# Grab a very specific version of 2.0.2.redhat.1
gem "torquebox-messaging", '2.0.2.redhat.1'

# Grab the "latest" 2.0.2.redhat series 
gem "torquebox-capistrano-support", '~> 2.0.0.redhat'

# Use rails from RubyGems.org
gem "rails", '3.1.1'
Comment 2 Marek Novotny 2012-05-30 07:00:50 EDT
Rebecca,

 please add this documentation note to TorqueBox docs
Comment 3 Rebecca Newton 2012-05-30 23:43:43 EDT
Sorry, guys, what do I actually need to document, and where in the TB guide should it go?
Comment 4 Marek Novotny 2012-05-31 02:57:52 EDT
I would say that it should be somewhere in installation section of TB reference guide and probably in RN too. Bob, what do you think?
Comment 5 Bob McWhirter 2012-06-05 11:56:16 EDT
The text from my comment (#1) should be included in the installation notes, alongside Ben's README from https://bugzilla.redhat.com/show_bug.cgi?id=828165
Comment 7 Karel Piwko 2012-08-07 07:55:47 EDT
Closed, verified as a part of final TB documentation.

Note You need to log in before you can comment on or make changes to this bug.